WP 3.0 with plugin conflict - theme update possible?

Hi, I'd like to update WP 3.0, however, lots of my plugins are not 3.0 compatible. So I don't want to take a risk of breaking all the important plugins in my site. But if I update the Daily theme without updating WP 3.0, would there be a compatibility problem?